Codevisor Server
Api reference

PATCH Projects Id

PATCH/v1/projects/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

name?string|null
isArchived?boolean|null
symbolName?string|null

Response Body

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/v1/projects/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "string",  "name": "string",  "isArchived": true,  "symbolName": "string",  "origin": "codevisor",  "createdAt": "string",  "locations": [    {      "id": "string",      "projectId": "string",      "serverId": "string",      "folderPath": "string",      "createdAt": "string",      "isGitRepository": true    }  ]}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}